Newton's second law gives
\begin{equation*}
        F  =  m_D a_D   \qquad   ,
\end{equation*}
where $F$ is Ida's force on Dactyl. Using Newton's universal
law of gravity, F= $Gm_I m_D/r^2$,and the equation 
$a=v^2/r$ for circular motion, we find
\begin{equation*}
        Gm_I m_D/ r ^2 =  m_Dv ^2/ r   .
\end{equation*}
Dactyl's mass cancels out, giving
\begin{equation*}
        Gm_I/ r ^2 =  v ^2/ r   .
\end{equation*}
Dactyl's velocity equals the circumference of its orbit
divided by the time for one orbit: $v=2\pi r/T$. Inserting
this in the above equation and solving for $m_I$, we find
\begin{equation*}
        m_I     =  \frac{4\pi^2r^3}{GT^2}   \qquad   ,
\end{equation*}
so Ida's density is
\begin{align*}
        \rho      &=  m_I/ V  \\
                  &=  \frac{4\pi^2r^3}{GVT^2}  \qquad   .
\end{align*}



